import 'dart:async';
import 'dart:io';

Future<void> start(String exec, List<String> args) async {
  Process process = await Process.start(
    exec,
    args,
    runInShell: true,
    mode: ProcessStartMode.inheritStdio,
  );

  process.exitCode.then((_) {
    if (Platform.isWindows) {
      Process.runSync('forceExitForWindows', []);
    }
    exit(0);
  });
}
